### Crop / CropBottom

`Crop(`clip, int left, int top, int width, int height`)`
`Crop(`clip, int left, int top, int -right, int -bottom`)`
`CropBottom(`clip, int count`)`
`Crop` schneidet überflüssige Pixel ab.
`Crop` kann man auf zweierlei Arten einsetzen. Einmal kann man das Video oben und rechts beschneiden und gibt dann die Auflösung des resultierenden Videos an oder man gibt für jeden Seite an, wieviel Pixel weggeschnitten werden soll.
Die alternative `CropBottom`-Syntax ist nützlich, um bei VHS-Aufnahmen die defekten untersten Zeilen abzuschneiden, da hier count Zeilen vom unteren Rand entfernt werden.

Parameter:
left | Gibt an, wieviel Pixel vom linken Rand weggeschnitten werden sollen.
top | Gibt an, wieviel Pixel vom oberen Rand weggeschnitten werden sollen.
width | Gibt die Breite des resultierenden Clips an. Der Rest wird weggeschnitten.
height | Gibt die Höhe des resultierenden Clips an. Der Rest wird weggeschnitten.
-right | Gibt an, wieviel Pixel vom rechten Rand weggeschnitten werden sollen. Hinweis: Das Minuszeichen vor right ist nur dazu da, um den Parameter von width zu unterscheiden.
-bottom | Gibt an, wieviel Pixel vom unteren Rand weggeschnitten werden sollen. Hinweis: Das Minuszeichen vor bottom ist nur dazu da, um den Parameter von height zu unterscheiden.
count | Gibt an, wieviel Pixel vom rechten Rand weggeschnitten werden sollen.
align | Mit align=true kann man die Bilddaten im Speicher neuanordnen, was schneller sein kann. Standard ist false.

Um die Datenstruktur der einzelnen Farbräume zu erhalten, sollten die folgenden Regeln beachtet werden. Es wird keine Fehlermeldung ausgegeben, wenn man es nicht macht, aber es können komische Artefakte entstehen.
In RGB:

- Die Breite kann frei gewählt werden,
- die Höhe kann frei gewählt werden, wenn das Video progressiv ist,
- die Höhe muss ein Vielfaches von 2 sein, wenn das Video interlaced ist.

In YUY2:

- Die Breite muss ein Vielfaches von 2 sein,
- die Höhe kann frei gewählt werden, wenn das Video progressiv ist,
- die Höhe muss ein Vielfaches von 2 sein, wenn das Video interlaced ist.

In YV12:

- Die Breite muss ein Vielfaches von 2 sein,
- die Höhe muss ein Vielfaches von 2 sein, wenn das Video progressiv ist,
- die Höhe muss ein Vielfaches von 4 sein, wenn das Video interlaced ist.

HINWEIS: Die Resize Filter erlauben optional auch das teilweise Wegschneiden des Eingangsframes. Dies resultiert in eine Gewichtung der Pixel von Kanten, die resized werden. Diese Optionen kann man nutzen, wenn man die Beschränkungen der Auflösung umgehen muss.

Beispiele:
`ReduceBy2().Crop(4,0,352,240)` | Konvertiert CCIR601 zu VCD unter Beibehaltung des richtigen Seitenverhältnisses
`Crop(16,16,-16,-16)` | 16 Pixel von jedem Rand abschneiden, unabhängig von der Bildgröße

Changelog:
`v2.53` | Der Parameter align wurde hinzugefügt
`v2.01` | Alternative Syntax mit negativen Werten hinzugefügt